import { MsNodeType } from "../enums/MsNodeType";
import { MsRunningTarget } from "../utils/MsLoadBalanceUtils";
/**
 * 调用链
 */
export declare class CallLink {
    private fromNode;
    constructor(fromNode: MsNodeType);
    build(uri: string, target: MsRunningTarget): CallTarget;
    private clientInInternet;
    private updateCallType;
}
export declare class CallTarget {
    host?: String;
    port?: Number;
    uri?: String;
    contextPath?: String;
    params?: String;
    from?: MsNodeType;
    to?: MsNodeType;
    getUrl(): String;
    private getFullUri;
    setUrl(url?: String): void;
}
